Commit 9693ba47 authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

GIT_SILENT: time to increase qt version as kf5-5.77 will depend against it.

parent 99e81309
Pipeline #44618 skipped
......@@ -25,7 +25,7 @@ include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
set(QT_REQUIRED_VERSION "5.13.0")
set(QT_REQUIRED_VERSION "5.14.0")
set(MAILCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "5.16.40")
......
......@@ -188,13 +188,8 @@ void SearchRuleWidget::initWidget(SearchPatternEdit::SearchModeType modeType)
// redirect focus to the header field combo box
setFocusProxy(mRuleField);
#if QT_VERSION < QT_VERSION_CHECK(5, 14, 0)
connect(mRuleField, QOverload<const QString &>::of(&QComboBox::activated),
this, &SearchRuleWidget::slotRuleFieldChanged);
#else
connect(mRuleField, &QComboBox::textActivated,
this, &SearchRuleWidget::slotRuleFieldChanged);
#endif
connect(mRuleField, &QComboBox::editTextChanged,
this, &SearchRuleWidget::slotRuleFieldChanged);
connect(mRuleField, &QComboBox::editTextChanged,
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment